before_script:
  - docker info

stages:
  - build

build-backend:
  stage: build
  tags:
    - shell
    - docker-daemon
  variables:
    IMAGE_TAG: $CI_REGISTRY_IMAGE:$CI_COMMIT_REF_SLUG
  script:
    - echo $IMAGE_TAG
    - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY
    - docker build -t $IMAGE_TAG  .
    - docker push $IMAGE_TAG
